@import url("https://fonts.googleapis.com/css2?family=Jost:wght@400;500;700;800&family=Lora:wght@400;500;600&family=Poppins:wght@300;400;500;600;700;800;900&family=Roboto:wght@400;500;700&display=swap");

* {
  box-sizing: border-box;
  padding: 0;
  margin: 0;
  outline: none;
  border: none;
  font-family: "poppins", sans-serif;
}

:root {
  --firstcolor: #0515c3;/* #8f32f3;*/
  --firstcolorlight: #2f3aad;/* #ab65f6;*/
  --gradient: linear-gradient(45deg, var(--firstcolor), var(--firstcolorlight));
}
::selection {
  background: var(--firstcolor);
  color: #000;
}
body {
  position: relative;
  height: 100vh;
  width: 100%;
  background: #0b0a0a;
  overflow: hidden;
  animation: changebg 10s linear infinite alternate-reverse;
}
hr{
    margin-top: 2.5rem;
}
@keyframes changebg {
  0% {
    filter: hue-rotate(0deg);
  }
  100% {
    filter: hue-rotate(360deg) brightness(200%);
  }
}
.grad {
  background: linear-gradient(
    transparent 40%,
    var(--firstcolor) 60%,
    transparent
  );
  animation: 5s rotate infinite linear;
  height: 100%;
  width: 100%;
  position: absolute;
}

.pause {
  animation-play-state: paused;
}
@keyframes rotate {
  0% {
    transform: translateY(-100%);
  }
  100% {
    transform: translateY(100%);
  }
}
.colorgreen {
  color: var(--firstcolor);
}
form {
  box-shadow: 3px 6px 10px rgba(0, 0, 0, 0.701);
  background: #282626d5;
  z-index: 100;
  text-align: center;
  padding: 2rem 1.5rem;
  color: #fff;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  
}
form img{
    width: 150px;
}
.inputdiv {
  margin: 1rem 0;
  display: grid;
  gap: 1rem;
  overflow-x: hidden;
  overflow-y: auto;
}
input {
  padding: 1rem;
  background: #393737;
  color: azure;
  font-size: 1rem;
  transition: 0.3s ease;
}
input::placeholder {
  transition: 0.3s ease;
  color: #fafafa;
}   
input:is(:active, :focus) {
  background: #2f2b2b;
}
input:is(:active, :focus)::placeholder {
  transform: translateY(-0.5rem);
  color: #b1aeae;
}
.data {
  width: 100%;
  display: flex;
  align-items: center;
  justify-content: space-between;
}
.data p:hover {
  text-decoration: underline;
  cursor: pointer;
}
button {
  width: 100%;
  padding: 1rem;
  margin-top: 1rem;
  transition: 0.3s ease;
  font-size: 1rem;
  font-weight: 600;
  background: #595454;
  color: #fff;
  border-radius: 5px;
  cursor:not-allowed;
}
button:hover {
  background: var(--firstcolor);
}


@media (max-width:768px) {

  form{
      width: 85vw;
  }
  form img#cond{
    width: 12vw;
  }
  #condition{
      user-select: none;
      font-size: 0.8rem;
  }
}

